Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.lcm
Interface DeprecateObjectsRequestType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RegistryRequestType

All Known Implementing Classes:
  DeprecateObjectsRequestTypeImpl

    public interface DeprecateObjectsRequestType

extends RegistryRequestType

A representation of the model object 'Deprecate Objects Request Type'.

The following features are supported:

- `Adhoc Query`
- `Object Ref List`

See Also:
  `LCMPackage.getDeprecateObjectsRequestType()`

Method Summary
`AdhocQueryType` | `getAdhocQuery()` Returns the value of the 'Adhoc Query' containment reference.
`ObjectRefListType` | `getObjectRefList()` Returns the value of the 'Object Ref List' containment reference.
`void` | `setAdhocQuery(AdhocQueryType value)` Sets the value of the '`Adhoc Query`' containment reference.
`void` | `setObjectRefList(ObjectRefListType value)` Sets the value of the '`Object Ref List`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rs.RegistryRequestType
`getComment, getId, getRequestSlotList, setComment, setId, setRequestSlotList`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAdhocQuery

    AdhocQueryType getAdhocQuery()

  Returns the value of the 'Adhoc Query' containment reference.

  If the meaning of the 'Adhoc Query' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Adhoc Query' containment reference.
  See Also:
    `setAdhocQuery(AdhocQueryType)`, `LCMPackage.getDeprecateObjectsRequestType_AdhocQuery()`

### setAdhocQuery

    void setAdhocQuery(AdhocQueryType value)

  Sets the value of the '`Adhoc Query`' containment reference.

  Parameters:
    `value` - the new value of the 'Adhoc Query' containment reference.
  See Also:
    `getAdhocQuery()`

### getObjectRefList

    ObjectRefListType getObjectRefList()

  Returns the value of the 'Object Ref List' containment reference.

  If the meaning of the 'Object Ref List' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Object Ref List' containment reference.
  See Also:
    `setObjectRefList(ObjectRefListType)`, `LCMPackage.getDeprecateObjectsRequestType_ObjectRefList()`

### setObjectRefList

    void setObjectRefList(ObjectRefListType value)

  Sets the value of the '`Object Ref List`' containment reference.

  Parameters:
    `value` - the new value of the 'Object Ref List' containment reference.
  See Also:
    `getObjectRefList()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD